Skip to content
GridRouterhome

Search

Search providers, capabilities and pages

Docs
API referenceJobs and lists

Enrich a list

POST
/v1/lists

Run an endpoint or capability over up to 10,000 rows in the background.

Authorization

bearer
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/lists" \  -H "Content-Type: application/json" \  -d '{    "target": {      "endpoint_id": "string"    },    "rows": [      {        "property1": null,        "property2": null      }    ]  }'
{  "object": "list",  "id": "string",  "status": "running",  "total": 0,  "done": 0,  "hits": 0,  "failed": 0,  "cost_micro": 0,  "created_at": "2019-08-24T14:15:22Z"}